Productsup
CDE APIApi referenceStates

Show a state

A state is only accessible to an admin or the owner of the entity

Sign in to run requests against the CDE API.
GET
/states/{stateId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

stateId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/states/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "successful operation",
  "resource": "connector",
  "data": {
    "id": "019e16f4-c385-7d16-90c3-8e13fca1f026",
    "status": "pending",
    "name": "eum",
    "owner": "019e16f4-c37e-7d16-aaab-5db56b03548a",
    "created": "2026-05-11T14:13:20+02:00",
    "config": {
      "connectorPublicId": "019e16f4-c381-7232-af38-cc45c220f394",
      "versionNumber": 1,
      "vcs": {
        "token": "***"
      }
    },
    "data": {
      "someDataCreated": "some result"
    }
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "State not found."
}

How is this guide?